#Data from Broad Institute "Cancer Program Data Sets"
#
#http://www.broadinstitute.org/cgi-bin/cancer/datasets.cgi
#
#Hoshida Y, Brunet J-P, Tamayo P, Golub TR, Mesirov JP (2007)
#Subclass Mapping: Identifying Common Subtypes in Independent Disease Data Sets
#PLoS ONE 2(11): e1195. doi:10.1371/journal.pone.0001195
#
#"Breast_A" without Array S54
#van't Veer LJ, Dai H, van de Vijver MJ, He YD, Hart AA, et al. (2002)
#Gene expression profiling predicts clinical outcome of breast cancer.
#Nature 415:530-536.
#
# Author: SEPP HOCHREITER
###############################################################################


data(Breast_A)

X <- as.matrix(XBreast)


resBreast1 <- fabia(X,200,0.1,1.0,1.0,5)

rBreast1 <- extract_plot(X,resBreast1$L,resBreast1$Z,ti="FABIA Breast cancer(Veer)")

#sorting of predefined labels
CBreast%*%rBreast1$pmZ


#--------------------------------------

resBreast2 <- fabias(X,200,0.4,1.0,5)

rBreast2 <- extract_plot(X,resBreast2$L,resBreast2$Z,ti="FABIAS Breast cancer(Veer)")

#sorting of predefined labels
CBreast%*%rBreast2$pmZ


#--------------------------------------

resBreast3 <- fabiap(X,200,0.1,1.0,1.0,5,0.5,0.3)

rBreast3 <- extract_plot(X,resBreast3$L,resBreast3$Z,ti="FABIAP Breast cancer(Veer)")
#sorting of predefined labels
CBreast%*%rBreast3$pmZ


#--------------------------------------

resBreast4 <- mfsc(X,5,sL=0.7,sZ=0.3)

rBreast4 <- extract_plot(X,resBreast4$L,resBreast4$Z,ti="MFSC Breast cancer(Veer)")

#sorting of predefined labels
CBreast%*%rBreast4$pmZ


