### Name: mfsc
### Title: Sparse Matrix Factorization for Bicluster Analysis (MFSC)
### Aliases: mfsc
### Keywords: methods cluster

### ** Examples


#---------------
# TEST
#---------------

dat <- make_fabi_data_blocks(n = 100,l= 50,p = 3,f1 = 5,f2 = 5,
  of1 = 5,of2 = 10,sd_noise = 3.0,sd_z_noise = 0.2,mean_z = 2.0,
  sd_z = 1.0,sd_l_noise = 0.2,mean_l = 3.0,sd_l = 1.0)

X <- dat[[1]]
Y <- dat[[2]]
X <- X- rowMeans(X)
XX <- (1/ncol(X))*tcrossprod(X)
dXX <- 1/sqrt(diag(XX)+0.001*as.vector(rep(1,nrow(X))))
X <- dXX*X


resEx <- resToy <- mfsc(X,3,0.7,0.7)

## Not run: 
##D #---------------
##D # DEMO1
##D #---------------
##D 
##D dat <- make_fabi_data_blocks(n = 1000,l= 100,p = 10,f1 = 5,f2 = 5,
##D   of1 = 5,of2 = 10,sd_noise = 3.0,sd_z_noise = 0.2,mean_z = 2.0,
##D   sd_z = 1.0,sd_l_noise = 0.2,mean_l = 3.0,sd_l = 1.0)
##D 
##D X <- dat[[1]]
##D Y <- dat[[2]]
##D X <- X- rowMeans(X)
##D XX <- (1/ncol(X))*tcrossprod(X)
##D dXX <- 1/sqrt(diag(XX)+0.001*as.vector(rep(1,nrow(X))))
##D X <- dXX*X
##D 
##D resToy <- mfsc(X,13,0.7,0.7)
##D 
##D rToy <- extract_plot(X,resToy$L,resToy$Z,ti="MFSC",Y=Y)
##D 
##D #---------------
##D # DEMO2
##D #---------------
##D 
##D data(Breast_A)
##D 
##D X <- as.matrix(XBreast)
##D X <- X- rowMeans(X)
##D XX <- (1/ncol(X))*tcrossprod(X)
##D dXX <- 1/sqrt(diag(XX)+0.001*as.vector(rep(1,nrow(X))))
##D X <- dXX*X
##D 
##D resBreast <- mfsc(X,5,0.7,0.3)
##D 
##D rBreast <- extract_plot(X,resBreast$L,resBreast$Z,ti="MFSC Breast cancer(Veer)")
##D 
##D #sorting of predefined labels
##D CBreast
##D 
##D #---------------
##D # DEMO3
##D #---------------
##D 
##D data(Multi_A)
##D 
##D X <- as.matrix(XMulti)
##D X <- X- rowMeans(X)
##D XX <- (1/ncol(X))*tcrossprod(X)
##D dXX <- 1/sqrt(diag(XX)+0.001*as.vector(rep(1,nrow(X))))
##D X <- dXX*X
##D 
##D resMulti <- mfsc(X,5,0.7,0.3)
##D 
##D rMulti <- extract_plot(X,resMulti$L,resMulti$Z,ti="MFSC Multiple tissues(Su)")
##D 
##D #sorting of predefined labels
##D CMulti
##D 
##D #---------------
##D # DEMO4
##D #---------------
##D 
##D data(DLBCL_B)
##D 
##D X <- as.matrix(XDLBCL)
##D X <- X- rowMeans(X)
##D XX <- (1/ncol(X))*tcrossprod(X)
##D dXX <- 1/sqrt(diag(XX)+0.001*as.vector(rep(1,nrow(X))))
##D X <- dXX*X
##D 
##D resDLBCL <- mfsc(X,5,0.7,0.3)
##D 
##D rDLBCL <- extract_plot(X,resDLBCL$L,resDLBCL$Z,ti="MFSC Lymphoma(Rosenwald)")
##D 
##D #sorting of predefined labels
##D CDLBCL
##D 
## End(Not run)



